package cn.newfeifan.mall.module.distri.service.integraltransferlog;

import javax.validation.*;

import cn.newfeifan.mall.module.distri.controller.app.integraltransferlog.vo.IntegralTransferLogPageReqVO;
import cn.newfeifan.mall.module.distri.controller.app.integraltransferlog.vo.IntegralTransferLogSaveReqVO;
import cn.newfeifan.mall.module.distri.dal.dataobject.integraltransferlog.IntegralTransferLogDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 消费分转让记录 Service 接口
 *
 * @author 非繁人
 */
public interface IntegralTransferLogService {

    /**
     * 创建消费分转让记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createConsumptionTransferLog(@Valid IntegralTransferLogSaveReqVO createReqVO);

    /**
     * 获得消费分转让记录分页
     *
     * @param pageReqVO 分页查询
     * @return 消费分转让记录分页
     */
    PageResult<IntegralTransferLogDO> getConsumptionTransferLogPage(IntegralTransferLogPageReqVO pageReqVO);

}